Subject: bug#65469: [PATCH] * etc/emacsclient.desktop: Make Emacs default application for org-protocol

From: Björn Bidar <[email-masked]>
Date: Sun, 24 Sep 2023 00:35:59 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Björn Bidar <[email-masked]>
>> Cc: Ihor Radchenko <[email-masked]>,  [email-masked],
>>   [email-masked]
>> Date: Wed, 20 Sep 2023 17:01:27 +0300
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >   ** On capable systems, Emacs is now the default application for 'org-protocol'.
>> >   Org mode provides a way to quickly capture bookmarks, notes, and links
>> >   using 'emacsclient':
>> >
>> >       emacsclient "org-protocol://store-link?url=URL&title=TITLE"
>> >
>> >   Previously, users had to manually configure their desktop environment
>> >   to open 'org-protocol' links in Emacs.  On any XDG-compliant desktop
>> >   environment, including KDE and GNOME on GNU/Linux, and some others,
>> >   these links should now open in Emacs automatically if the application
>> >   that opens the link follows the XDG spec and xdg-utils are installed.
>> >   This is because the "emacsclient.desktop" file now arranges for Emacs
>> >   to be the default application for the 'org-protocol' URI scheme.  See
>> >   the Org mode manual, Info node "(org) Protocols" for more details.
>> 
>> Why the focus on Linux?
>
> Not focus, but preference.  It's because GNU/Linux is our main target
> system and its users are our main audience.
>
>> For example, you can install KDE on BSD and have the same benefit of
>> the change as on Linux.
>
> The above text says "and some others", and it also says "any
> XDG-compliant desktop environment".  Why is this not enough?  We don't
> have to promote *BSD systems.
And some others wasn't clear to me because of the long sentence and
because mentioning KDE and GNOME on Linux while them being on Linux or
elsewhere doesn't make an impact on their XDG support.

Writing: "On any XDG-compliant desktop environment, including KDE and GNOME, and some others,
these links should now open in Emacs automatically if the application
that opens the link follows the XDG spec is installed. xdg-utils is
recommended to be installed but is not always a requirement."

(XDG-utils provides a shell-script that wraps around various desktop
environments "open/mime-handler" applications but only some programs use
it e.g. Chromium/Chrome).

To mention the target operating system for the feature I would write
this:
"XDG-compliant desktop environments are usually found on various
Unix-like systems use as Linux".

To be honest the discussion on this is taking quite long, I was only
concerned that simply mentioning only Linux was technically incorrect.